fourdst::libcomposition v2.2.1 Robust atomic species information library

Loading...
Searching...
No Matches
Classes
fourdst::composition::exceptions Namespace Reference

## Classes
class | CompositionError
| Base class for exceptions related to composition objects. More...
class | InvalidCompositionError
| Exception thrown when a composition is in an invalid or inconsistent state. More...
class | SpeciesError
| Base class for exceptions related to atomic species. More...
class | UnknownSymbolError
| Exception thrown when an unknown symbol is encountered. More...
class | UnregisteredSymbolError
| Exception thrown when a symbol is used that has not been registered. More...